Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1415026 - Both imgbase status and node status are shown on the screen after upgrade
Summary: Both imgbase status and node status are shown on the screen after upgrade
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: ovirt-node
Classification: oVirt
Component: Installation & Update
Version: 4.1
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ovirt-4.1.1
: 4.1
Assignee: Yuval Turgeman
QA Contact: Qin Yuan
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-20 01:31 UTC by Qin Yuan
Modified: 2017-04-21 09:36 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-04-21 09:36:55 UTC
oVirt Team: Node
rule-engine: ovirt-4.1+
cshao: testing_ack+


Attachments (Terms of Use)
/var/log/*, /tmp/* (397.44 KB, application/x-gzip)
2017-01-20 01:31 UTC, Qin Yuan
no flags Details


Links
System ID Private Priority Status Summary Last Updated
oVirt gerrit 71533 0 master MERGED Clearing /etc/motd after migrate_etc 2017-02-15 13:36:16 UTC
oVirt gerrit 72364 0 ovirt-4.1 MERGED Clearing /etc/motd after migrate_etc 2017-02-15 13:37:09 UTC

Description Qin Yuan 2017-01-20 01:31:08 UTC
Created attachment 1242647 [details]
/var/log/*, /tmp/*

Description of problem:
Upgrade the node to the latest RHVH 4.1 version, reboot and log in to the new build, there are imgbase status and node status on the screen, as below:

  imgbase status: OK


  node status: OK
  See `nodectl check` for more information


Version-Release number of selected component (if applicable):
Build1:
redhat-virtualization-host-4.0-20161116.1
imgbased-0.8.10-0.1.el7ev.noarch
Build2(the latest):
redhat-virtualization-host-4.1-20170116.0
imgbased-0.9.4-0.1.el7ev.noarch


How reproducible:
100%


Steps to Reproduce:
1. Install Build1 and upgrade to Build2 using "yum update"
2. Reboot and log in to Build2

Actual results:
1. After step2, there are two status shown on the screen as described above.

Expected results:
1. After step2, only node status should be shown.

Additional info:

Comment 1 Qin Yuan 2017-02-28 10:19:14 UTC
Test Versions:
Build1:
redhat-virtualization-host-4.0-20161116.1
imgbased-0.8.10-0.1.el7ev.noarch
Build2(the latest):
redhat-virtualization-host-4.1-20170222.0
imgbased-0.9.13-0.1.el7ev.noarch

Test Steps:
1. Install Build1 and upgrade to Build2 using "yum update"
2. Reboot and log in to Build2

Test Results:
After logging in to Build2, there is only nodectl status, no imgbase status, just as below:

  node status: OK
  See `nodectl check` for more information


So, this bug is fixed, change status to VERIFIED.


Note You need to log in before you can comment on or make changes to this bug.